/***************************************************************************
                          bibstyledialog.h  -  description
                             -------------------
    begin                : Mon Dez 29 2003
    copyright            : (C) 2003 by Nicola Dbelin
    email                : adoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BIBSTYLEDIALOG_H
#define BIBSTYLEDIALOG_H

#include <qwidget.h>
#include <bibstyledlg.h>

/**
  *@author Nicola Dbelin
  */

class BibStyleDialog : public BibStyleDlg  {
   Q_OBJECT
public: 
	BibStyleDialog(QWidget *parent=0, const char *name=0);
	~BibStyleDialog();

private:
  QString tdir, ltdir;
  bool scanning, up;
  void searchFiles(QString);
  
private slots:
  void slotAdd();
  void slotRemove();
  void slotSort();
  void slotScanDirs();
  void insertStyle(QString);

public slots:
  void setDirs(QString, QString);

signals:
  void styleFound(QString);
    
};

#endif
