/***************************************************************************
                          pkgadddialog.h  -  description
                             -------------------
    begin                : Don Jan 8 2004
    copyright            : (C) 2004 by Nicola Dbelin
    email                : adoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PKGADDDIALOG_H
#define PKGADDDIALOG_H

#include <qstring.h>
#include <qwidget.h>
#include <pkgadddlg.h>

/**
  *@author Nicola Dbelin
  */

class PkgAddDialog : public pkgAddDlg  {
   Q_OBJECT
public: 
	PkgAddDialog(QWidget *parent=0, const char *name=0);
	~PkgAddDialog();

private:
  QString tdir, ltdir;
  bool scanning;
  void searchFiles(QString);

private slots:
  void slotScan();
  void insertStyle(QString);

public slots:
  void setDirs(QString, QString);

signals:
  void styleFound(QString);
    
};

#endif
