/***************************************************************************
                          templatedialog.h  -  description
                             -------------------
    begin                : Sam Nov 29 16:47:18 CET 2003
    copyright            : (C) 2003 by Nicola D�elin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TEMPLATEDIALOG_H
#define TEMPLATEDIALOG_H

#include "template.h"

#include <templatedlg.h>
#include <qlistbox.h>
#include <qptrlist.h>

class TemplateDialog : public TemplateDlg
{
  Q_OBJECT
  public:
    TemplateDialog(QWidget *parent=0, const char *name=0);
    ~TemplateDialog();

    void setTemplates(const QPtrList<Template> &);
    const QPtrList<Template> & getTemplates();

  private slots:
    void rename();
    void rename(QListBoxItem *);
    void remove();
    void currentItemChanged(QListBoxItem *);

  private:
    QPtrList<Template> *templateList;
};

#endif
