/***************************************************************************
                          headingsdialog.h  -  description
                             -------------------
    begin                : Sam Nov 29 2003
    copyright            : (C) 2003 by Nicola Dbelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HEADINGSDIALOG_H
#define HEADINGSDIALOG_H

#include <qstringlist.h>
#include <qwidget.h>
#include <headingsdlg.h>

/**
  *@author Nicola Dbelin
  */

class HeadingsDialog : public HeadingsDlg  {
   Q_OBJECT
public: 
  HeadingsDialog(QWidget *parent=0, const char *name=0);
  ~HeadingsDialog();

  void setTwoside(bool);
  void setOptions(const QStringList &);
  QStringList getOptions();

private:
  bool twoside;
  QStringList listSettings;

private slots:
  void slotReset();
  void slotClear();

};

#endif
