/***************************************************************************
                          iconlistitem.h  -  description
                             -------------------
    begin                : Fri Mar 12 2004
    copyright            : (C) 2004 by Nicola Dbelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ICONLISTITEM_H
#define ICONLISTITEM_H

#include <qlistbox.h>

/**
  *@author Nicola Dbelin
  */

class IconListItem : public QListBoxItem
{
  public:
     IconListItem( QListBox *listbox, const QPixmap &pixmap, const QString &text );
     ~IconListItem();
     virtual int height( const QListBox *lb ) const;
     virtual int width( const QListBox *lb ) const;
     int expandMinimumWidth( int width );

   protected:
     const QPixmap &defaultPixmap();
     void paint( QPainter *painter );

   private:
     QPixmap mPixmap;
     int mMinimumWidth;
};

#endif
